Eclipseのプラグイン(エディタ)を自作したいのですが、作り方がよくわかりません。


まず、「新規→プラグイン・プロジェクト」を選ぶ、とあるのですが、手元のEclipseでは「Javaプロジェクト」と普通の「プロジェクト」しかありません。
別のEclipseパッケージをダウンロードする必要があるということでしょうか?
使っているパッケージは、Eclipse IDE for Java Developersです。

回答の条件
  • 1人2回まで
  • 13歳以上
  • 登録:2010/02/14 02:37:15
  • 終了:2010/02/21 02:40:02

回答(2件)

id:chuken_kenkou No.1

chuken_kenkou回答回数722ベストアンサー獲得回数542010/02/14 04:21:08

ポイント35pt

Plug-in Development Environment (PDE) が、必要なのだと思います。


Compare Packages | Eclipse Packages

PDE

id:koime_ryokutya

回答ありがとうございます。

2010/02/14 18:53:32
id:vh5150 No.2

vh5150回答回数231ベストアンサー獲得回数52010/02/14 03:10:41

ポイント35pt

koime_ryokutyaさんのeclipseバージョンがわからないので,私の環境であるeclipse 3.5の場合を説明します.

Eclipse IDE for Java DevelopersにはプラグインのSDKがありません.

インストールするには,「Help」→「Install New Software」を選択し,「Work with」を「The Eclipse Project Updates - http://download.eclipse.org/eclipse/updates/3.5」に設定して下さい.

その中に「Eclipse SDK」があると思いますので,チェックを入れて「Finish」ボタンを押してインストールして下さい.

eclipse再起動後に,プロジェクトを新規作成する際に「Plug-in Development」の「Plug-in Project」を選択するとプラグインプロジェクトが生成されます.

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません